@import '../breakpoints';

.container_outer {
  width: 100%;
  padding: 0 var(--gap-medium);

  & > * {
    width: 100%;
    max-width: var(--max-width);
    margin: 0 auto;
  }

  @include laptop {
    padding: 0 var(--gap-large);
  }

  @include desktop {
    padding: 0 var(--gap-very-large);
  }
}

.container_inner {
  padding: var(--gap-medium) 0;

  @include laptop {
    padding: var(--gap-large) 0;
  }

  @include desktop {
    padding: var(--gap-very-large) 0;
  }
}

.container_top {
  $header-height: var(--header-height);

  height: calc(100% + $header-height);
  margin-top: calc($header-height * -1);
  padding-top: $header-height;
}
